#ifndef __cmdline__
#define __cmdline__
/*****
  command line parser interface 
                        -- generated by clig (Version: |Version|)

  The command line parser `clig':
  (C) 1995 Harald Kirsch (kir@iitb.fhg.de)
*****/

typedef struct s_Cmdline {
  /***** -v: switch on verbose program operation */
  char verboseP;
  /***** -title: title of x/y-plot */
  char titleP;
  char* title;
  int titleC;
  /***** -xytitles: title of x- and y-axis */
  char xytitlesP;
  char* *xytitles;
  int xytitlesC;
  /***** -plotnames: names of curves to plot */
  char plotnamesP;
  char* *plotnames;
  int plotnamesC;
  /***** -colors: colors to use in plots */
  char colorsP;
  char* *colors;
  int colorsC;
  /***** -bg: background color */
  char backgroundP;
  char* background;
  int backgroundC;
  /***** -o: offset to add to all curves to plot */
  char offsetP;
  float offset;
  int offsetC;
  /***** -p: probability */
  char pP;
  float p;
  int pC;
  /***** -f: frequencies */
  char fP;
  float *f;
  int fC;
  /***** -negscale: negative scale value */
  char negscaleP;
  float negscale;
  int negscaleC;
  /***** -scale: scale value */
  char scaleP;
  float scale;
  int scaleC;
  /***** -a: flog quarx flirim poli gam i nabgala */
  char aP;
  int a;
  int aC;
  /***** -b: ram dibum gabalabarum deri pum pam */
  char bP;
  int *b;
  int bC;
  /***** uninterpreted command line parameters */
  int argc;
  char **argv;
} Cmdline;


extern char *Program;
extern void usage(void);
extern Cmdline *parseCmdline(int argc, char **argv);

extern void showOptionValues(void);

#endif

